RTEMS: rtems_fdisk_segment_ctl Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
rtems_fdisk_segment_ctl Struct Reference

## Data Fields
struct rtems_fdisk_segment_ctl * | next
const rtems_fdisk_segment_desc * | descriptor
uint32_t | device
uint32_t | segment
rtems_fdisk_page_desc * | page_descriptors
uint32_t | pages
uint32_t | pages_desc
uint32_t | pages_active
uint32_t | pages_used
uint32_t | pages_bad
uint32_t | failed
uint32_t | erased

## Detailed Description

Flash Segment Control holds the pointer to the segment, number of pages, various page stats and the memory copy of the page descriptors.

## Field Documentation

## ◆ descriptor

const rtems_fdisk_segment_desc* rtems_fdisk_segment_ctl::descriptor

The descriptor provided by the low-level driver.

## ◆ device

uint32_t rtems_fdisk_segment_ctl::device

The device this segment resides on.

## ◆ erased

uint32_t rtems_fdisk_segment_ctl::erased

Counter to debugging. Wear support would remove this.

## ◆ failed

uint32_t rtems_fdisk_segment_ctl::failed

The segment has failed.

## ◆ next

struct rtems_fdisk_segment_ctl* rtems_fdisk_segment_ctl::next

Segments with available pages are maintained as a linked list.

## ◆ page_descriptors

rtems_fdisk_page_desc* rtems_fdisk_segment_ctl::page_descriptors

The in-memory ocpy of the page descriptors found at the start of the segment in the flash device.

## ◆ pages

uint32_t rtems_fdisk_segment_ctl::pages

Total number of pages in the segment.

## ◆ pages_active

uint32_t rtems_fdisk_segment_ctl::pages_active

Number of pages flagged as active.

## ◆ pages_bad

uint32_t rtems_fdisk_segment_ctl::pages_bad

Number of pages detected as bad.

## ◆ pages_desc

uint32_t rtems_fdisk_segment_ctl::pages_desc

Number of pages used for page descriptors.

## ◆ pages_used

uint32_t rtems_fdisk_segment_ctl::pages_used

Number of pages flagged as used.

## ◆ segment

uint32_t rtems_fdisk_segment_ctl::segment

The segment in the device. This must be within the segment descriptor.

The documentation for this struct was generated from the following file:

- cpukit/libblock/src/flashdisk.c